Bug 834065 - Adding Replication agreement should complain if required nsds5ReplicaCredentials not supplied
Summary: Adding Replication agreement should complain if required nsds5ReplicaCredenti...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
: 478865 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-20 18:17 UTC by Nathan Kinder
Modified: 2013-02-21 08:19 UTC (History)
2 users (show)

Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Adding a repl agmt without the bind credentials Consequence: Replication fails, and produces many errors Fix: Validate replication config, and ensure credentials are supplied Result: Replication succeeds, and there are no repl errors.
Clone Of:
Environment:
Last Closed: 2013-02-21 08:19:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Nathan Kinder 2012-06-20 18:17:45 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/214

https://bugzilla.redhat.com/show_bug.cgi?id=478865

{{{
Description of problem:
When adding a replication agreement with a bind method of DIGEST-MD5, where
bind password is required - if nsds5ReplicaCredentials is not supplied, the
agreement should not be added and an appropriate error message returned.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install two servers.
2. Add replication manager to both servers
3. Enable replication.
4. Add replication agreement with bind method of DIGEST-MD5 but do not add the
nsds5ReplicaCredentials attribute.

Actual results:
Replication agreement is successfully added, but replication bind fails.

Expected results:
Adding the invalid replication agreement should fail with appropriate error.

Additional info:
}}}

Comment 1 Nathan Kinder 2012-06-21 04:45:50 UTC
*** Bug 478865 has been marked as a duplicate of this bug. ***

Comment 2 RHEL Program Management 2012-07-10 06:17:11 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 RHEL Program Management 2012-07-10 23:02:26 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 4 Jenny Severance 2012-07-24 12:49:00 UTC
test coverage :: trac214 in mmrepl/accept

Comment 6 Jenny Severance 2013-01-14 14:15:57 UTC
Verified ::

<snip>

200|0 29 17:36:16|TP Start
520|0 29 16496 1 1|trac214: ==================================================================
520|0 29 16496 1 2|trac214:  Adding Replication agreement should complain if required nsds5ReplicaCredentials not supplied
520|0 29 16496 1 3|trac214: ==================================================================
520|0 29 16496 1 4|trac214:  1-1. adding test agreement: SIMPLE NO BINDDN/PWD
520|0 29 16496 1 5|trac214:  1-2. adding test agreement: SIMPLE NO BINDDNPWD
520|0 29 16496 1 6|trac214:  2-1. adding test agreement: SASL/DIGEST-MD5 NO BINDDN/PWD
520|0 29 16496 1 7|trac214:  2-2. adding test agreement: SASL/DIGEST-MD5 NO BINDDNPWD
520|0 29 16496 1 8|trac214:  3-1. adding test agreement: bogus NO BINDDN/PWD
520|0 29 16496 1 9|trac214:  3-2. adding test agreement: bogus NO BINDDNPWD
520|0 29 16496 1 10|TestCase [trac214] result-> [PASS]
220|0 29 0 17:36:17|PASS

</snip>

version :: 389-ds-base-1.2.11.15-8.el6

Comment 7 errata-xmlrpc 2013-02-21 08:19:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.